import { jsx as _jsx } from "react/jsx-runtime";
import { PropertyLine } from "./propertyLine.js";
import { Input } from "../primitives/input.js";
/**
 * Wraps an input in a property line
 * @param props - PropertyLineProps and InputProps
 * @returns property-line wrapped input component
 */
const InputPropertyLine = (props) => {
    return (_jsx(PropertyLine, { ...props, children: _jsx(Input, { ...props }) }));
};
export const TextInputPropertyLine = InputPropertyLine;
export const FloatInputPropertyLine = InputPropertyLine;
//# sourceMappingURL=inputPropertyLine.js.map