import { jsx as _jsx } from "react/jsx-runtime";
import { Body1 } from "@fluentui/react-components";
import { PropertyLine } from "./propertyLine.js";
import { Link } from "../primitives/link.js";
/**
 * Wraps a link in a property line
 * @param props - PropertyLineProps and LinkProps
 * @returns property-line wrapped link
 */
export const LinkPropertyLine = (props) => {
    return (_jsx(PropertyLine, { ...props, children: _jsx(Link, { inline: true, appearance: "subtle", onClick: () => props.onLink?.(), href: props.url, title: props.tooltip, children: _jsx(Body1, { children: props.value }) }) }));
};
//# sourceMappingURL=linkPropertyLine.js.map