import type { FunctionComponent } from "react";
import type { BaseComponentProps } from "../hoc/propertyLine.js";
export type AcceptedDropdownValue = string | number;
export type DropdownOption = {
    /**
     * Defines the visible part of the option
     */
    label: string;
    /**
     * Defines the value part of the option
     */
    value: AcceptedDropdownValue;
};
export type DropdownProps = BaseComponentProps<AcceptedDropdownValue | undefined> & {
    options: DropdownOption[];
    includeUndefined?: boolean;
};
/**
 * Renders a fluent UI dropdown component for the options passed in, and an additional 'Not Defined' option if includeUndefined is set to true
 * @param props
 * @returns dropdown component
 */
export declare const Dropdown: FunctionComponent<DropdownProps>;
