import { jsx as _jsx } from "react/jsx-runtime";
import { makeStyles, Switch as FluentSwitch } from "@fluentui/react-components";
import { useEffect, useState } from "react";
const useSwitchStyles = makeStyles({
    switch: {
        marginLeft: "auto",
    },
    indicator: {
        margin: 0, // Remove the default right margin so the switch aligns well on the right side inside panels like the properties pane.
    },
});
/**
 * This is a primitive fluent boolean switch component whose only knowledge is the shared styling across all tools
 * @param props
 * @returns Switch component
 */
export const Switch = (props) => {
    const classes = useSwitchStyles();
    const [checked, setChecked] = useState(() => props.value ?? false);
    useEffect(() => {
        if (props.value != undefined) {
            setChecked(props.value); // Update local state when props.checked changes
        }
    }, [props.value]);
    const onChange = (event, _) => {
        props.onChange && props.onChange(event.target.checked);
        setChecked(event.target.checked);
    };
    return _jsx(FluentSwitch, { className: classes.switch, indicator: { className: classes.indicator }, checked: checked, onChange: onChange });
};
//# sourceMappingURL=switch.js.map