import { jsx as _jsx } from "react/jsx-runtime";
import { Textarea as FluentTextarea, makeStyles } from "@fluentui/react-components";
const useInputStyles = makeStyles({
    textarea: {},
});
/**
 * This is a texarea box that stops propagation of change/keydown events
 * @param props
 * @returns
 */
export const Textarea = (props) => {
    const classes = useInputStyles();
    const handleChange = (event, data) => {
        event.stopPropagation(); // Prevent event propagation
        if (props.onChange) {
            props.onChange(event, data); // Call the original onChange handler passed as prop
        }
    };
    const handleKeyDown = (event) => {
        event.stopPropagation(); // Prevent event propagation
        if (props.onKeyDown) {
            props.onKeyDown(event); // Call the original onKeyDown handler passed as prop
        }
    };
    return _jsx(FluentTextarea, { ...props, className: classes.textarea, onChange: handleChange, onKeyDown: handleKeyDown });
};
//# sourceMappingURL=textarea.js.map